GroovyScriptCommandFactory (Grails 6.0.0)

Package: org.grails.cli.profile.commands.factory

## [Groovy] Class GroovyScriptCommandFactory

- org.grails.cli.profile.commands.factory.GroovyScriptCommandFactory

-     @groovy.transform.CompileStatic
      class GroovyScriptCommandFactory
      extends ResourceResolvingCommandFactory<GroovyScriptCommand>

  A CommandFactory that creates Command instances from Groovy scripts

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `fileNamePattern` |
    `private java.util.Collection<java.lang.String>` | `matchingFileExtensions` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `fileNamePattern`
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyScriptCommandFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static groovy.lang.GroovyClassLoader` | `createClassLoaderForBaseClass(org.codehaus.groovy.control.CompilerConfiguration configuration, java.lang.String baseClassName)`
    `` | `protected Command` | `createCommand(Profile profile, java.lang.String commandName, Resource resource, GroovyScriptCommand data)`
    `` | `static groovy.lang.GroovyClassLoader` | `createGroovyScriptCommandClassLoader()`
    `` | `protected java.lang.String` | `evaluateFileName(java.lang.String fileName)`
    `` | `protected GroovyScriptCommand` | `readCommandFile(Resource resource)`

- - ### Field Detail

    - #### private final java.lang.String fileNamePattern

    - #### private final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Property Detail

    - #### final java.lang.String fileNamePattern

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Constructor Detail

    - #### GroovyScriptCommandFactory()

  - ### Method Detail

    - #### private static groovy.lang.GroovyClassLoader createClassLoaderForBaseClass(org.codehaus.groovy.control.CompilerConfiguration configuration, java.lang.String baseClassName)

    - #### @java.lang.Override protected Command createCommand(Profile profile, java.lang.String commandName, Resource resource, GroovyScriptCommand data)

    - #### @groovy.transform.CompileDynamic static groovy.lang.GroovyClassLoader createGroovyScriptCommandClassLoader()

    - #### @java.lang.Override protected java.lang.String evaluateFileName(java.lang.String fileName)

    - #### @java.lang.Override protected GroovyScriptCommand readCommandFile(Resource resource)